 25-akpm/arch/i386/kernel/efi.c |   21 +++------------------
 1 files changed, 3 insertions(+), 18 deletions(-)

diff -puN arch/i386/kernel/efi.c~ia32-efi-config-option-tweaks arch/i386/kernel/efi.c
--- 25/arch/i386/kernel/efi.c~ia32-efi-config-option-tweaks	Mon Oct 27 14:27:30 2003
+++ 25-akpm/arch/i386/kernel/efi.c	Mon Oct 27 14:27:30 2003
@@ -215,25 +215,10 @@ unsigned long inline __init efi_get_time
 
 	status = phys_efi_get_time(&eft, &cap);
 	if (status != EFI_SUCCESS)
-		printk("Oops: efitime: can't read time status: 0x%lx\n", status);
+		printk("Oops: efitime: can't read time status: 0x%lx\n",status);
 
-	return mktime(eft.year, eft.month, eft.day, eft.hour, eft.minute, eft.second);
-}
-void efi_gettimeofday(struct timespec *tv)
-{
-	efi_time_t tm;
-	efi_status_t status;
-
-	memset(tv, 0, sizeof(*tv));
-	spin_lock(&efi_rt_lock);
-	status = (*efi.get_time) (&tm, 0);
-	spin_unlock(&efi_rt_lock);
-	if (status != EFI_SUCCESS)
-		return;
-
-	tv->tv_sec = mktime(tm.year, tm.month, tm.day, tm.hour, tm.minute,
-		            tm.second);
-	tv->tv_nsec = tm.nanosecond;
+	return mktime(eft.year, eft.month, eft.day, eft.hour,
+			eft.minute, eft.second);
 }
 
 int is_available_memory(efi_memory_desc_t * md)

_
